DenseField.h File Reference

Contains the DenseField class. More...

`#include <vector>`
`#include <boost/lexical_cast.hpp>`
`#include "Field.h"`
`#include "ns.h"`

Go to the source code of this file.

## Classes

class | DenseField< Data_T >
| This subclass of Field stores data in a contiguous std::vector. More...
class | DenseField< Data_T >::const_iterator
class | DenseField< Data_T >::iterator

## Typedefs

typedef DenseField< V3d > | DenseField3d
typedef DenseField< V3f > | DenseField3f
typedef DenseField< V3h > | DenseField3h
typedef DenseField< double > | DenseFieldd
typedef DenseField< float > | DenseFieldf
typedef DenseField< half > | DenseFieldh

## Functions

| FIELD3D_CLASSTYPE_TEMPL_INSTANTIATION (DenseField)

## Detailed Description

Contains the DenseField class.

Definition in file DenseField.h.

## Typedef Documentation

## DenseFieldh

typedef DenseField<half> DenseFieldh

Definition at line 245 of file DenseField.h.

## DenseFieldf

typedef DenseField<float> DenseFieldf

Definition at line 246 of file DenseField.h.

## DenseFieldd

typedef DenseField<double> DenseFieldd

Definition at line 247 of file DenseField.h.

## DenseField3h

typedef DenseField<V3h> DenseField3h

Definition at line 248 of file DenseField.h.

## DenseField3f

typedef DenseField<V3f> DenseField3f

Definition at line 249 of file DenseField.h.

## DenseField3d

typedef DenseField<V3d> DenseField3d

Definition at line 250 of file DenseField.h.

## Function Documentation

## FIELD3D_CLASSTYPE_TEMPL_INSTANTIATION()

FIELD3D_CLASSTYPE_TEMPL_INSTANTIATION | ( | DenseField |  | ) |

References FIELD3D_NAMESPACE_HEADER_CLOSE.